package com.goldenwater.slgc.mapper;

import java.util.List;
import com.goldenwater.slgc.domain.ObjWaga;
import org.apache.ibatis.annotations.Mapper;

/** 泵站对象 Mapper */
@Mapper
public interface ObjWagaMapper {
    /**
     * 查询泵站对象列表
     * 
     * @param objWaga 查询条件
     * @return 泵站对象列表
     */
    public List<ObjWaga> selectObjWagaList(ObjWaga objWaga);

    /**
     * 通过编码查询泵站对象
     * 
     * @param wagaCode 泵站编码
     * @return 泵站对象
     */
    public ObjWaga selectObjWagaById(String wagaCode);

    /**
     * 通过编码删除泵站对象
     * 
     * @param wagaCode 泵站编码
     * @return 影响行数
     */
    public int deleteObjWagaById(String wagaCode);

    /**
     * 新增泵站对象
     * 
     * @param objWaga 泵站对象
     * @return 影响行数
     */
    public int insertObjWaga(ObjWaga objWaga);

    /**
     * 修改泵站对象
     * 
     * @param objWaga 泵站对象
     * @return 影响行数
     */
    public int updateObjWaga(ObjWaga objWaga);
}
